Bug 104893 - Assert from OpenGL code when activating chart object
Summary: Assert from OpenGL code when activating chart object
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All Windows (All)
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.1.0 target:6.0.5
Keywords:
Depends on:
Blocks: VCL-OpenGL Assert
  Show dependency treegraph
 
Reported: 2016-12-23 19:27 UTC by Tamás Zolnai
Modified: 2018-05-23 07:25 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Calc document with chart (12.46 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-12-23 19:29 UTC, Tamás Zolnai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2016-12-23 19:27:38 UTC
Description:
Development version of LO asserts when I try to edit chart objects

Steps to Reproduce:
1. Open attached test document
2. Double click on chart to step into edit mode

Actual Results:  
Assertion comes up pointing to OpenGL code. In OpenGLContext::prepareForYield() method !hasCurrent() is evaluated to false.

Expected Results:
No assertion


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/55.0.2883.87 Safari/537.36
Comment 1 Tamás Zolnai 2016-12-23 19:29:02 UTC
Created attachment 129908 [details]
Calc document with chart
Comment 2 Aron Budea 2016-12-23 21:07:25 UTC
Confirmed with the below build in Windows 7.

Version: 5.4.0.0.alpha0+
Build ID: 289124284f98bbea442871455cf7da5fe9ef3aae
CPU Threads: 4; OS Version: Windows 6.1; UI Render: GL; 
Locale: hu-HU (hu_HU); Calc: CL
Comment 3 Telesto 2017-09-18 18:16:57 UTC
Also happening when Inserting a chart in Writer
Comment 4 Aron Budea 2017-11-05 04:32:22 UTC
Tomaz, do you have an insight why this might be occurring?
Comment 5 Miklos Vajna 2018-05-17 09:20:16 UTC
I can still reproduce this. I'll try to see why we still have a context after we attempt to release it.
Comment 6 Commit Notification 2018-05-18 07:20:24 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2a6171ed6fb85b3419dcf5cf1346cf1eec447987

tdf#104893 vcl opengl: fix assert failure when starting chart editing

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-05-23 07:25:05 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=014a573a05bc69e0883a9e5fccdc7bed72b0a62e&h=libreoffice-6-0

tdf#104893 vcl opengl: fix assert failure when starting chart editing

It will be available in 6.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.